<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/site.php";
include_once "include/mail.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

$database = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier from users where session_id='$session_id'"));
if ($my_user_id[0] == "") {
  site_epilog($database);
  header("location: login.php");
  exit();
}

if ($my_user_id[1] == $user_type['administrator']) {
  $user_id = $_REQUEST['user'];
}
if (!$user_id) {
  $user_id = $my_user_id[0];
}

$operation = $_REQUEST['operation'];
if ($operation == "del") {
  /* delete the order if it's owned by the user and if it's status is SELECTED */
  $item = $_REQUEST['item'];
  pg_query($database, "delete from shop_order where identifier=$item and client=$user_id and transaction is null");
}
elseif ($operation == "confirm") {
  /* save changes and set order to ORDERED */
  $transaction_id = pg_fetch_row(pg_query($database, "select nextval('shop_transaction_id_sequence')"));
  $remark = $_REQUEST['remark'];

  pg_query($database, "
     insert into shop_transaction (identifier, status, remark, date_of_creation, date_of_last_edit)
     values ($transaction_id[0], 1, '$remark', now(), now())");

  $photos_in_basket = pg_query($database, "
     select shop_order.identifier, preferences.download_counter, preferences.download_expiry_period
       from shop_order, photo_item, photo, users, preferences
      where shop_order.item = photo_item.identifier
        and photo_item.photo = photo.identifier
        and photo.users = users.identifier
        and users.preferences = preferences.identifier
        and shop_order.client=$user_id
        and transaction is null");

  for ($i = 0; $i < pg_num_rows($photos_in_basket); $i++) {
    $photo = pg_fetch_row($photos_in_basket, $i);

    pg_query($database, "
      update shop_order
         set transaction=$transaction_id[0],
             download_counter=$photo[1],
             download_expiry_date= download_expiry_date + $photo[2]
       where identifier=$photo[0]
         and transaction is null
         and client=$user_id");

    $option = "?thanks=yes&transaction=$transaction_id[0]";
  }

/*   send_po_order_notification($database, $user_id, $my_user_id[0]); */
}

site_epilog($database);
header("location: basket.php$option");
?>
