<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

$admin_data = array("repository"      => array("idx" => 1, "active_img" => "$theme/navigator.ad.image.repository.a.gif",     "img" => "$theme/navigator.ad.image.repository.gif",     link => "admin.php?selector=1", "alt" => " Image Repository "),
                    "new_user"        => array("idx" => 2, "active_img" => "$theme/navigator.ad.new.user.preferences.a.gif", "img" => "$theme/navigator.ad.new.user.preferences.gif", link => "admin.php?selector=2", "alt" => " New User Preferences "),
                    "users_n_clients" => array("idx" => 3, "active_img" => "$theme/navigator.ad.users.and.clients.a.gif",    "img" => "$theme/navigator.ad.users.and.clients.gif",    link => "admin.php?selector=3", "alt" => " Users and Clients "),
                    "front_page"      => array("idx" => 4, "active_img" => "$theme/navigator.ad.frontpage.a.gif",            "img" => "$theme/navigator.ad.frontpage.gif",            link => "admin.php?selector=4", "alt" => " Front Page "));


function display_image_repository($image_repository_path, $system_preferences) {
  global $color;

  print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
  print "<tr>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"20%\">Volume</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"10%\">Current</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"10%\">Max Size</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"10%\">Size</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"10%\">Files</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"10%\">Subdirectories</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"20%\">Last Modified</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"10%\"></td>\n";
  print "</tr>\n";

  $files = array();
  $i = 0;
  if ($handle = opendir($image_repository_path)) {
    while (false !== ($file_name = readdir($handle))) {
      $files[$i++] = $file_name;
    }
    closedir($handle);
    rsort($files);

    foreach($files as $file_name) {
      if ($file_name == "." || $file_name == "..")
        continue;

      $size = dirsize($image_repository_path ."/". $file_name);
      $size['size'] = round($size['size']/1048576, 2);
      $stat = stat($image_repository_path ."/". $file_name);

      $stat[9]  = date("F j, Y", $stat[9]);

      print "<tr>\n";
      print "<td align=\"center\" bgcolor=\"$color[table_body]\" >$file_name</td>\n";
      print "<td align=\"center\" bgcolor=\"$color[table_body]\" >"; print $file_name == $system_preferences[4] ? "Yes" : "No"; print "</td>\n";
      print "<td align=\"center\" bgcolor=\"$color[table_body]\" >";
      if ($file_name == $system_preferences[4])
        print " <div title=\"Volume maximum size - when this limit is reached, a new volume will be created\">$system_preferences[5] Mb</div>";
      print "</td>\n";
      print "<td align=\"center\" bgcolor=\"$color[table_body]\" >$size[size] Mb</td>\n";
      print "<td align=\"center\" bgcolor=\"$color[table_body]\" >$size[files]</td>\n";
      print "<td align=\"center\" bgcolor=\"$color[table_body]\" >$size[directories]</td>\n";
      print "<td align=\"center\" bgcolor=\"$color[table_body]\" >$stat[9]</td>\n";
      print "<td align=\"center\" bgcolor=\"$color[table_body]\" >";
      print "<a href=\"admin.volume.edit.php?volume=$file_name\">Edit</a>";
      print "</td>\n</tr>\n";
    }
  }
  print "</table>\n";

  $available = round(disk_free_space($image_repository_path)/1048576, 2);
  print "&nbsp;<br/><div align=\"center\"><font class=\"header\">Available disk space: $available Mb</font></div>";
}


function display_new_user_properties($database, $system_preferences) {
  global $color;

  $default_label = pg_fetch_row(pg_query($database, "
    select manufacturer.name, label.name, paper.name
      from label, paper, manufacturer
     where label.paper=paper.identifier
       and label.manufacturer = manufacturer.identifier
       and label.identifier = $system_preferences[3]"));

  print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
  print "<tr>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">User Type</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Bulk Upload</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Shop</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Shared</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Quota Size</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Quota Count</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"14%\">Default Paper</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"28%\">Default Label</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"10%\"></td>\n";
  print "</tr>\n";

  print "<tr>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_body]\" >$system_preferences[0]</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_body]\" >"; display_enable_disable_text($system_preferences[1]); print "</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_body]\" >"; display_enable_disable_text($system_preferences[6]); print "</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_body]\" >"; display_yes_no_text($system_preferences[9]); print "</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_body]\" >"; display_user_quota($system_preferences[7], 1); print "</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_body]\" >"; display_user_quota($system_preferences[8], 0); print "</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_body]\" >$system_preferences[2]</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_body]\" >$default_label[0], $default_label[1], $default_label[2]</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_body]\" ><a href=\"admin.system.edit.php\">Edit</a></td>\n";
  print "</tr>\n";
  print "</table>\n";
}

function display_users_and_clients($database, $my_user_id) {
  global $color;
  global $theme;

  $num_of_users  = pg_fetch_row(pg_query($database, "select count_users()"));
  $num_of_photos = pg_fetch_row(pg_query($database, "select count_photos()"));
  $num_of_photo_versions = pg_fetch_row(pg_query($database, "select count_photo_versions()"));
  $num_of_photo_versions[0] -= $num_of_photos[0];

  $user_list = pg_query($database, "
   select users.identifier, last_name, first_name, member_since, value, user_type.identifier, bulk_upload_enable, shop_enable,
          quota_size, quota_count, shared
     from users, user_type, preferences
    where users.type=user_type.identifier
      and users.preferences=preferences.identifier
    order by users.member_since desc");

  print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
  print "<tr>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"13%\">Name</td>\n";

  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"7%\">Photos</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"7%\">Space</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"7%\">Type</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"7%\">Bulk Upload</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"7%\">Shop</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"7%\">Shared</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"7%\">Quota Count</td>\n";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"7%\">Quota Size</td>\n";

  print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"21%\">Member Since</td>\n";
  print "<td align=\"left\"   bgcolor=\"$color[table_header]\"  width=\"10%\" colspan=\"2\">&nbsp;</td>\n";
  print "</tr>\n";

  $user_count = pg_num_rows($user_list);
  for ($i=0; $i < $user_count; $i++) {
    $user = pg_fetch_row($user_list, $i);

    $photos_by_user         = pg_fetch_row(pg_query($database, "select count_photos_by_user($user[0])"));
    $photo_versions_by_user = pg_fetch_row(pg_query($database, "select count_photo_versions_by_user($user[0])"));
    $used_storage_space     = count_storage_space_by_user($database, $user[0]);
    $used_storage_space     = round($used_storage_space/1048576, 2);

    $photo_versions_by_user[0] -= $photos_by_user[0];

    print "<tr>\n";
    print "<td align=\"left\"   bgcolor=\"$color[table_body]\" ><a href=\"user.php?user=$user[0]\">$user[1], $user[2]</a></td>\n";
    print "<td align=\"center\" bgcolor=\"$color[table_body]\" >$photos_by_user[0]";
    if ($photo_versions_by_user[0] > 0)
      print ", $photo_versions_by_user[0]";
    print "</td>\n";
    print "<td align=\"center\" bgcolor=\"$color[table_body]\" >$used_storage_space Mb</td>\n";
    print "<td align=\"center\" bgcolor=\"$color[table_body]\" >$user[4]</td>\n";
    print "<td align=\"center\" bgcolor=\"$color[table_body]\" >"; display_enable_disable_text($user[6]); print"</td>\n";
    print "<td align=\"center\" bgcolor=\"$color[table_body]\" >"; display_enable_disable_text($user[7]); print"</td>\n";
    print "<td align=\"center\" bgcolor=\"$color[table_body]\" >"; display_yes_no_text($user[10]); print"</td>\n";

    print "<td align=\"center\" bgcolor=\"$color[table_body]\" >"; display_user_quota($user[9], 0); print"</td>\n";
    print "<td align=\"center\" bgcolor=\"$color[table_body]\" >"; display_user_quota($user[8], 1); print"</td>\n";

    print "<td align=\"center\" bgcolor=\"$color[table_body]\" >" . generate_date_html($user[3], 'date', $my_user[0] == "" ? 0 : 1) . "</td>\n";
      print "<td align=\"center\" bgcolor=\"$color[table_body]\"  width=\"5%\"><a href=\"admin.user.edit.php?user=$user[0]\">Edit</a></td>\n";
    if ($user[1] == $my_user_id) {
	  print "<td width=\"5%\"></td>\n";
    } else {
      print "<td align=\"center\" bgcolor=\"$color[table_body]\"  width=\"5%\"><a href=\"admin.user.del.php?user=$user[0]\">Delete</a></td>\n";
    }
    print "</tr>\n";
  }
  print "</table>\n";

  print "&nbsp;<br/><div align=\"center\">\n";
  print "$num_of_users[0] members storing $num_of_photos[0] photos";
  if ($num_of_photo_versions[0] > 0) {
    print " and $num_of_photo_versions[0] versions";
  }
  print "</div>\n";
  print "&nbsp;<br/>\n";
  print "<div align=\"center\"><a class=\"nodecor\" href=\"register.php\"><img src=\"$theme/button.register.gif\" border=\"0\" alt=\"Register\"></a></div>";
}

function display_front_page_editor($file_name) {
  global $color;
  global $theme;

  $file_descriptor = fopen ($file_name, "r");
  $file_content = fread($file_descriptor, filesize($file_name));
  $file_content = htmlspecialchars($file_content);
  fclose($file_descriptor);

  print "<form action=\"save.front.page.php\" method=\"POST\">\n";
  print "<textarea id=\"template_editor\" wrap=\"soft\" name=\"file_content\" rows=\"25\" cols=\"80\">$file_content</textarea>\n";

  print "&nbsp;<br/>";

  print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" value=\"Save Changes\">\n";
  print "</form>\n";
}

?>
