<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "config.php";

/* do not change these values! */
$access = array("public"    => 1,
                "protected" => 2,
                "private"   => 3);

/* do not change these values! */
$user_type = array("disabled"      => 1,
                   "client"        => 2,
                   "user"          => 3,
                   "administrator" => 4);

/* do not change these values! */
$client_status = array("pending"   => 1,
                       "accepted"  => 2,
                       "rejectetd" => 3);

/* do not change these values! */
$icc_profiles = array("1"  => array("name" => "sRGB",     "file" => $site_url . "/im/sRGB.icm"),
                      "2"  => array("name" => "Adobe RGB 1998", "file" => $site_url . "/im/AdobeRGB1998.icc"),
                      "3"  => array("name" => "Nikon Base NEF", "file" => $site_url . "/im/NKDBase_NEF.icm"),
                      "99" => array("name" => "Embedded", "file" => ""));

if (!function_exists('substr_compare')) {
   function substr_compare($main_str, $str, $offset, $length = NULL, $case_insensitivity = false) {
       $offset = (int) $offset;

       // Throw a warning because the offset is invalid
       if ($offset >= strlen($main_str)) {
           trigger_error('The start position cannot exceed initial string length.', E_USER_WARNING);
           return false;
       }

       // We are comparing the first n-characters of each string, so let's use the PHP function to do it
       if ($offset == 0 && is_int($length) && $case_insensitivity === true) {
           return strncasecmp($main_str, $str, $length);
       }

       // Get the substring that we are comparing
       if (is_int($length)) {
           $main_substr = substr($main_str, $offset, $length);
           $str_substr = substr($str, 0, $length);
       } else {
           $main_substr = substr($main_str, $offset);
           $str_substr = $str;
       }

       // Return a case-insensitive comparison of the two strings
       if ($case_insensitivity === true) {
           return strcasecmp($main_substr, $str_substr);
       }

       // Return a case-sensitive comparison of the two strings
       return strcmp($main_substr, $str_substr);
   }
}

?>
