<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/config.php";
include_once "include/site.php";
include_once "$theme/theme.php";
$database = site_prolog();
?>

<html>
<head  profile="http://www.k-i-s.net/xmpo/1">
	<title>Photo Organizer Demonstration page</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<link rel="stylesheet" type="text/css" media="screen" href="<?php echo $theme; ?>/screen.css" />
</head>
<body>

<table width="<?php echo $page_width ?>" height="100%" align="center" valign="top" cellspacing="0" cellpadding="0" border="0">
<tr><td align="left" valign="top" >

<table width="100%" cellspacing="0" cellpadding="0">
<tr><td><?php site_logo("left"); ?></td></tr>
<tr><td><?php site_navigator_stand_alone($database, 1); ?></td></tr>
<tr><td><?php site_navigator_status("Welcome to The Photo Organizer Demo Site", "It's simply spectacular!"); ?></td></tr>
<tr><td>

<table width="100%">
<tr><td width="25%" align="left" valign="top" colspan="2">
<p>&nbsp;</p>

<h3>New features and bug fixes in the 2.31.A Release</h3>
<ul>
<li>Fixed an erroneous error display when manually rotating RAW images</li>
<li>Fixed a typo in admin.user.edit.php</li>
<li>Stop using predictable filenames for imports and exports</li>
<li>Sort files/directories, as off the disk there&rsquo;s no guarantee of order</li>
<li>&ldquo;Folder&rdquo; search is now a &ldquo;Folder/Album&rdquo; search, and now searches descriptions as well as captions</li>
<li>Improvements in the EXIF import, especially for Nikon-specific tags</li>
<li>Cleanups and speedups for general/advanced searching</li>
<li>Consistently use site_prolog() and site_epilog() to open/close database</li>
<li>Fix typos in installer that prevented v2.29&rarr;v2.30 database update.</li>
<li>Bulk import from filesystem <em>(disabled by default due to security implications)</em></li>
<li>Bulk import now imports folder hierarchies</li>
<li>Default sort order is now globally configurable</li>
<li>Fix a couple of SQL errors triggered by printing when using PostgreSQL &gt;= 8.0</li>
<li>Fix blank output when printing using the "creation date" sort order</li>
<li>Allow admins to print/export from albums that they don't own</li>
<li>Display the location in the tooltip (or 'Unknown')</li>
<li>Admin users can directly add users</li>
<li>Add 'location' to available fields when printing</li>
<li>Tweaked default sharpening settings</li>
<li>EXIF strings weren't being properly escaped in the database</li>
</ul>

</p><p>
Don't forget that the entire content of this page is customizable. You can
create your own layout with basic HTML and PHP skills. Log in as the
administrator and click on the Front Page selector in the Admin tab to visit
the <a href="admin.php?selector=4">Front Page Editor</a>.
</p><p>
The Photo Organizer PHP tags are described in the <a href="help.php?help=12">Front Page</a>'s help section.
</p>

</td></tr>
</table>

</td></tr>
</table>

</td></tr>
<tr><td align="center" valign="bottom">
<?php site_credit("center", true, true); ?>
</td></tr>
</table>

&nbsp;<br/>
</body>
</html>

<?php
site_epilog($database);
?>
