<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";
include_once "include/site.php";
include_once "include/common.php";
include_once "include/site.php";
include_once "include/orderby.php";
include_once "include/search.php";
include_once "include/search.2.php";

$session_id = $_COOKIE[$po_cookie];
$database   = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
$photo_id   = $_REQUEST['photo'];

site_header($page_width, "Search Image Layout");
site_navigator(2, $my_user_id[1]);

site_navigator_status("Create an image layout to search for:", "");
print "&nbsp;<br/>\n";

display_navigator_box_top($search_interface['image_layout']['idx'], $search_interface, "100%");
if ($photo_id) {
  $argon_photo_id = $photo_id;
  $search_type = "submit";
  $file_name = $site_url."/image.display.php?image=$photo_id";
  display_frame_top($cell_size, $cell_size, 10, "#E7E7E7", $theme);
  print "<a class=\"nodecor\" href=\"photo.php?photo=$photo_id\"><img src=\"image.display.php?image=$photo_id&size=1\"></a>\n";
  display_frame_bottom($cell_size, $cell_size, 10, $theme);
}
else {
  $argon_photo_id = 1;
  $search_type = "no_submit";
  print "&nbsp;<br/>\n";
  print "<applet codebase=\"java/search.layout\" code=\"LayoutSearch.class\" width=\"601\" height=\"281\">\n";
  print "<param name=\"canvas_width\"  value=\"600\">\n";
  print "<param name=\"canvas_height\" value=\"280\">\n";
  print "<param name=\"horizontal_cell_count\" value=\"37\">\n";
  print "<param name=\"vertical_cell_count\" value=\"14\">\n";
  print "<param name=\"image_path\" value=\"buttons\">\n";
  print "<param name=\"submit_url\" value=\"$site_url/search.image.layout.php\">\n";

  $width  = $_REQUEST['width'];
  $height = $_REQUEST['height'];
  for ($j = 0; $j < $height; $j++)
    for ($i = 0; $i < $width; $i++) {
      $index = $j * $width + $i;
      $value = $_REQUEST[px.$index];
      print "<param name=\"px".$index."\" value=\"".$value."\">\n";
    }
  print "</applet>\n";
}
display_navigator_box_bottom("100%");
print "&nbsp;<br/>\n";

if (!$photo_id) {
  if ($_REQUEST['submit'] != "yes") {
    site_footer($database);
    site_epilog($database);
    exit();
  }
  $file_name = createXMPFile();
}

$num_of_columns = $default_num_of_columns;
$popup_enable   = $default_popup_enable;
$popup_delay    = $default_popup_delay;

if ($my_user_id[0]!="") {
  $preferences = pg_fetch_row(pg_query($database, "
     select num_of_rows, num_of_columns, popup_enable, popup_delay, search_enable_stemming
       from users, preferences
      where preferences.identifier=users.preferences
        and users.identifier=$my_user_id[0]"));
  $num_of_columns  = $preferences[1];
  $popup_enable    = $preferences[2];
  $popup_delay     = $preferences[3];
}

$index_algorithm = "ar_index_haar:0.2.0";
$search_algorithm ="ar_search_euclidean:0.1.0";
$limit = $num_of_columns * 3;
$offset = 0;

$photo_id_list = array();
$photo_id_counter = 0;

argon_query($session_id, $cbir_host, $cbir_port, $index_algorithm, $search_algorithm, $search_type, $limit, $offset, $argon_photo_id, $file_name);

if (!$photo_id) {
  error_reporting(0);
  unlink($file_name);
  error_reporting(1);
}

if ($photo_id_list) {
  if ($my_user_id[0] == "") {
    $sql_query_access_rights_string = "photo.access_rights = $access[public]";
  }
  else {
    $sql_query_access_rights_string = "((photo.access_rights = $access[public]) or
                                        (photo.access_rights = $access[protected] and $my_user_id[0] in (select client from client where users=photo.users)) or
                                        (photo.users = $my_user_id[0]))";
  }
  $sql_search_string = "";
  for ($i = 0; $i < $photo_id_counter; $i++) {
    $sql_search_entry =
       "(select photo.identifier, photo_version.small_image_path, photo.caption, date_of_exposure, photo_dupe.date_of_creation,
                (select value from access_type where access_type.identifier=photo.access_rights) as access_rights,
                11 - (select avg(rating.value) from rating where rating.photo=photo.identifier) as rating,
                photo.users, users.first_name, users.last_name, views,
                $i as sort_order
           from photo, folder, photo_dupe, photo_version, users
          where photo.folder = folder.identifier
            and photo.users = users.identifier
            and photo.identifier = photo_version.photo
            and photo.identifier = photo_dupe.photo
            and photo_version.master='t'
            and photo_dupe.key = 1
            and photo.identifier = $photo_id_list[$i]
            and $sql_query_access_rights_string)";

    if ($sql_search_string) {
      $sql_search_string = $sql_search_string ." union ". $sql_search_entry;
    }
    else {
      $sql_search_string = $sql_search_entry;
    }
  }
  $sql_search_string = $sql_search_string . " order by sort_order";
  $search_result = pg_query($database, $sql_search_string);
  $num_of_matches = pg_num_rows($search_result);
}
else {
  exit();
}

$arguments = "&search_type=$search_type&offset=$offset";
$search_string_exp = str_replace(" ", "+", $search_string);

print "<script language=\"JavaScript\" type=\"text/javascript\" src=\"javascript/select.js\"></script>";
print "<script language=\"JavaScript\" type=\"text/javascript\" src=\"javascript/util.js\"></script>";

print "<form  name=\"photoList\" method=post action=folder.content.php>";
print "<input type=\"hidden\" name=\"user\" value=\"$user_id\">";
print "<input type=\"hidden\" name=\"return\" value=\"search.content.php?search_string=$search_string$arguments\">";
print "<input type=\"hidden\" name=\"view\" value=\"$view\">";

if (($offset + $limit) > $num_of_matches) {
  $items = $num_of_matches - $offset;
}
else {
  $items = $limit;
}

display_photo_navigator("search_general", $arguments, $my_user_id[0], $search_string_exp, $offset, $limit, $num_of_matches);
$checkboxes = display_photo_slides("search_general", $my_user_id[0], $my_user_id[1], $folder_id, $search_result, $items, $num_of_columns, $popup_enable, $popup_delay, "f", true);
display_photo_navigator("search_general", $arguments, $my_user_id[0], $search_string_exp, $offset, $limit, $num_of_matches);


print "&nbsp;<br/>\n";
site_navigator_status("Searched database for $photo_id", "Displaying photos " . display_photo_index_status($offset, $limit, $num_of_photos));
print "<table align=\"left\" valign=\"middle\" cellpadding=\"0\" border=\"0\">";
print "<tr>";
if ($checkboxes > 0 && $my_user_id[0] != "") {
  $album_all = pg_query($database, "select identifier, caption, parent_album from album where users=$my_user_id[0] and type='u' order by date_of_creation desc");
  if (pg_num_rows($album_all) > 0) {
    print "<td align=\"left\" valign=\"middle\">&nbsp;&nbsp;</td><td align=\"left\" valign=\"middle\">";
    display_linkto_album($album_all, $album_id);
    print "</td>";
  }
  print "<td align=\"left\" valign=\"middle\">&nbsp;&nbsp;</td>";
  print "<td align=\"left\" valign=\"middle\">";
  print "<a class=\"nodecor\" href=\"javascript:setChecked('photocb'); changeImage('selectButton', '$theme/button.deselect.all.gif', '$theme/button.select.all.gif')\"><img name=\"selectButton\" src=\"$theme/button.select.all.gif\" border=\"0\"></a>\n";
  print "</td>";
  print "</td>";
}
print "</tr>";
print "</table>";
print "</form>";

print "&nbsp;<br/>\n";
print "<script language=\"JavaScript\" type=\"text/javascript\" src=\"javascript/wz_tooltip.js\"></script>";

site_footer($database);
site_epilog($database);
?>
