<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/calendar.php";
include_once "include/site.php";

function add_support($database, $user_id,
                  $support_type_id, $support_manufacturer_id, $support_model, $support_variation,
                  $support_serial_number, $support_purchase_timestamp,
                  $support_purchased_new, $support_access_rights) {

  $support_date_of_purchase = check_date_validity($support_purchase_timestamp);

  $support_model = pg_escape_string($support_model);
  $support_variation = pg_escape_string($support_variation);
  $support_serial_number = pg_escape_string($support_serial_number);

  if ($support_type_id=='custom') {
    $new_support_type_id = pg_fetch_row(pg_query($database, "select nextval('support_type_id_sequence')"));
    $support_type_id = $new_support_type_id[0];
    $result = pg_query($database, "insert into support_type (identifier, manufacturer, model, variation, last_modified_date, last_modifying_users)
                                   values ($support_type_id, $support_manufacturer_id, '$support_model', '$support_variation', now(), $user_id)");
    if (!$result) {
      print "Failed to create new support type";
      return;
    }
  }

  $result = pg_query($database, "insert into support (identifier, type, users, serial_number, date_of_purchase, purchased_new, access_rights)
                                 values (nextval('support_id_sequence'), '$support_type_id', '$user_id', '$support_serial_number', $support_date_of_purchase, '$support_purchased_new', '$support_access_rights')");
  if (!$result) {
    print "Failed to create new support";
  }
}

$database = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier from users where session_id='$session_id'"));
if ($my_user_id[0] == "") {
  site_epilog($database);
  header("location: login.php");
  exit();
}

add_support($database, $my_user_id[0], $_REQUEST['support_type_id'], $_REQUEST['support_manufacturer_id'], $_REQUEST['support_model'], $_REQUEST['support_variation'],
            $_REQUEST['support_serial_number'], $_REQUEST['support_purchase_timestamp'], $_REQUEST['support_purchased_new'], $_REQUEST['support_access_rights']);

site_epilog($database);
header("location: my.profile.php?selector=".$profile_data['support']['idx']);
?>
