<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$support_id=$_REQUEST['item'];
$number_of_references = pg_fetch_row(pg_query($database, "select number_of_support_references($support_id)"));

site_header($page_width, "Delete Support");
site_navigator(6, $my_user_id[1]);

switch ($number_of_references[0]) {
 case 0:
   site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : Delete support", "");
   break;
 case 1:
   site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : There is 1 reference to this support. Cannot remove.", "");
   break;
 default:
   site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : There are $number_of_references[0] references to this support. Cannot remove.", "");
}

print "&nbsp;<br/>";
display_navigator_box_top($profile_data['support']['idx'], $profile_data, "100%");

print "&nbsp;<br/>";
print "<form method=\"post\" action=\"support.del.2.php?&item_id=$support_id\">";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"6\"><font class=\"tabletop\">Remove Support</font></td>\n";
print "</td>\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Manufacturer</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Model</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Serial Number</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Purchase Date</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Purchased New</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Access</td>";
print "</tr>";

$support_to_be_removed = pg_fetch_row(pg_query($database, "select name, model, variation, serial_number, date_of_purchase, purchased_new, url, access_rights
                                                             from view_support where identifier='$support_id'"));
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$support_to_be_removed[6]\">$support_to_be_removed[0]</a></td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$support_to_be_removed[1] $support_to_be_removed[2]";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$support_to_be_removed[3] </td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($support_to_be_removed[4], 'short_date', $my_user_id[0]  == "" ? 0 : 1). "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >"; display_yes_no_text($support_to_be_removed[5]); print "</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$support_to_be_removed[7]</td>\n";
print "</tr>";

print "</table>";

print "&nbsp;<br/>";
if ($number_of_references[0]==0) {
  print "<input type=\"image\" src=\"$theme/button.confirm.delete.gif\" border=\"0\" value=\"Confirm Delete\">\n";
  print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data['support']['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>\n";
}
else {
  print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data['support']['idx']."\"><img src=\"$theme/button.back.gif\" border=\"0\" alt=\"Back\"></a>\n";
}
print "</form>";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
