<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/admin.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['administrator']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

site_header($page_width, "Adminstrator Interface : Delete User");
site_navigator(9, $my_user_id[1]);
site_navigator_status("<a href=\"admin.php\">Adminstrator Interface</a> : Delete User", "");

print "&nbsp;<br/>";
display_navigator_box_top($admin_data['users_n_clients']['idx'], $admin_data, "100%");

print "&nbsp;<br/>";

$user_id = $_REQUEST['user'];
$user_data = pg_fetch_row(pg_query($database, "select users.identifier, last_name, first_name, member_since, value, user_type.identifier from users, user_type where users.type=user_type.identifier and users.identifier=$user_id"));
$user_preferences = pg_fetch_row(pg_query($database, "select bulk_upload_enable, shop_enable from users, preferences where preferences.identifier=users.preferences and users.identifier=$user_id"));

print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>\n";
print "<td align=\"left\"   bgcolor=\"$color[table_header]\"  width=\"40%\">$user_data[4] name</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Photos</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Folders</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Albums</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Bulk Upload</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Shop</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"20%\">Member Since</td>\n";
print "</tr>\n";

$photos_by_user  = pg_fetch_row(pg_query($database, "select count_photos_by_user($user_data[0])"));
$folders_by_user = pg_fetch_row(pg_query($database, "select count_folders_by_user($user_data[0])"));
$albums_by_user  = pg_fetch_row(pg_query($database, "select count_albums_by_user($user_data[0])"));

print "<tr>";
print "<td align=\"left\"   bgcolor=\"$color[table_body]\"  width=\"40%\"><a href=\"user.php?user=$user_data[0]\">$user_data[1], $user_data[2]</a></td>";
print "<td align=\"center\" bgcolor=\"$color[table_body]\"  width=\"8%\">$photos_by_user[0]</td>";
print "<td align=\"center\" bgcolor=\"$color[table_body]\"  width=\"8%\">$folders_by_user[0]</td>";
print "<td align=\"center\" bgcolor=\"$color[table_body]\"  width=\"8%\">$albums_by_user[0]</td>";
print "<td align=\"center\" bgcolor=\"$color[table_body]\"  width=\"8%\">"; display_enable_disable_text($user_preferences[0]); print"</td>";
print "<td align=\"center\" bgcolor=\"$color[table_body]\"  width=\"8%\">"; display_enable_disable_text($user_preferences[1]); print"</td>";
print "<td align=\"center\" bgcolor=\"$color[table_body]\"  width=\"20%\">".generate_date_html($user_data[3], 'date', $my_user[0] == "" ? 0 : 1). "</td>";
print "</tr>";

print "</table>\n";

print "&nbsp;<br/>";
print "<form method=\"post\" action=\"admin.user.del.2.php\">";
print "<input type=\"hidden\" name=\"user\" value=\"$user_id\"><p>";
print "<input type=\"image\" src=\"$theme/button.confirm.delete.gif\" border=\"0\" value=\"Confirm Delete\">";
print "<a class=\"nodecor\" href=\"admin.php?selector=".$admin_data['users_n_clients']['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>";
print "</form>";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
