<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/admin.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

$volume          = $_REQUEST['volume'];
$new_volume      = $_REQUEST['new_volume'];
$current         = $_REQUEST['current'];
$volume_max_size = $_REQUEST['volume_max_size'];

if (($handle = opendir($image_repository_path . "/" . $volume)) == FALSE) {
  header("location: admin.php?selector=".$admin_data['repository']['idx']);
}
closedir($handle);

$database = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['administrator']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

error_reporting(0);
pg_query($database, "begin");

/* update system preferences, maximum volume size */
$result = pg_query($database, "update system_preferences set volume_max_size='$volume_max_size'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php?selector=".$admin_data['repository']['idx']);
  exit();
}

/* update system preferences current volume */
if ($current == 't') {
  $result = pg_query($database, "update system_preferences set current_volume='$new_volume'");
  if (!$result) {
    pg_query($database, "rollback");
    site_epilog($database);
    header("location: admin.php?selector=".$admin_data['repository']['idx']);
    exit();
  }
}

if ($new_volume != $volume) {
  $result = pg_query($database, "
     update photo_version
        set small_image_path = ('$new_volume' || (substr(small_image_path,  char_length('$volume') + 1)))
      where '$volume' = substr(small_image_path,  0, char_length('$volume') +1 )");
  if (!$result) {
    pg_query($database, "rollback");
    site_epilog($database);
    header("location: admin.php?selector=".$admin_data['repository']['idx']);
    exit();
  }
  $result = pg_query($database, "
    update photo_version
       set medium_image_path = ('$new_volume' || (substr(medium_image_path, char_length('$volume') + 1)))
     where '$volume' = substr(medium_image_path, 0, char_length('$volume') +1 )");
  if (!$result) {
    pg_query($database, "rollback");
    site_epilog($database);
    header("location: admin.php?selector=".$admin_data['repository']['idx']);
    exit();
  }
  $result = pg_query($database, "
    update photo_version
       set large_image_path = ('$new_volume' || (substr(large_image_path,  char_length('$volume') + 1)))
     where '$volume' = substr(large_image_path,  0, char_length('$volume') +1 )");
  if (!$result) {
    pg_query($database, "rollback");
    site_epilog($database);
    header("location: admin.php?selector=".$admin_data['repository']['idx']);
    exit();
  }

  if (!rename($image_repository_path . "/" . $volume, $image_repository_path . "/" . $new_volume)) {
    pg_query($database, "rollback");
    site_epilog($database);
    header("location: admin.php?selector=".$admin_data['repository']['idx']);
    exit();
  }
}

error_reporting(1);
pg_query($database, "commit");
site_epilog($database);
header("location: admin.php?selector=".$admin_data['repository']['idx']);
?>
