<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";

$manufacturer_filter = $_REQUEST['filter'];
$camera_id           = $_REQUEST['item'];

$database   = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$camera_current_value      = pg_fetch_row(pg_query($database, "select name, model, variation, serial_number, date_of_purchase, purchased_new, url, access_rights, raw_icc_profile
                                                                 from view_camera where identifier='$camera_id'"));
$camera_type_current_value = pg_fetch_row(pg_query($database, "select type from camera where identifier='$camera_id'"));

$all_manufacturers = pg_query($database, "select identifier, name from manufacturer order by name");

switch ($manufacturer_filter) {
 case 'All':
 case '':
   $all_camera_types = pg_query($database, "select identifier, name, model, variation, url, raw_icc_profile from view_camera_type order by name");
   break;
 default:
   $all_camera_types = pg_query($database, "select identifier, name, model, variation, url, raw_icc_profile
                                           from view_camera_type where name='$manufacturer_filter' or identifier='$camera_type_current_value[0]' order by name");
}

site_header($page_width, "Edit Camera");
site_navigator(6, $my_user_id[1]);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : Edit camera", "");

print "&nbsp;<br/>";
display_navigator_box_top($profile_data['camera']['idx'], $profile_data, "100%");

print "&nbsp;<br/>";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=$color[table_top] colspan=\"5\">\n";
print "<table width=\"100%\">\n<tr>\n";
print "<td align=\"left\"><font class=\"tabletop\">Camera Types</font></td>\n";
print "<td align=\"right\">\n";
print "<form>\n";
print "<select onchange=\"location = this.options[this.selectedIndex].value;\">\n";
print "<option value=\"camera.edit.php\">All";
for ($i=0; $i < pg_num_rows($all_manufacturers); $i++) {
  $manufacturer = pg_fetch_row($all_manufacturers, $i);
  if ($manufacturer[1]==$manufacturer_filter)
    print "<option value=\"camera.add.php?filter=$manufacturer[1]\" selected>$manufacturer[1]";
  else
    print "<option value=\"camera.add.php?filter=$manufacturer[1]\">$manufacturer[1]";
}
print "</select>";
print "</form>\n";
print "</td></tr>\n</table>\n";
print "</td>";
print "</tr>";

print "<form method=\"post\" action=\"camera.edit.2.php?item_id=$camera_id\">";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"4%\"></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"29%\">Manufacturer</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"25%\">Model</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">Variation</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">ICC Profile</td>\n";
print "</tr>\n";

$num_of_camera_types = pg_num_rows($all_camera_types);
if ($num_of_camera_types > 0) {
  for ($i=0; $i < $num_of_camera_types; $i++) {
    $camera_type = pg_fetch_row($all_camera_types, $i);
    print "<tr>";
    if ($camera_type_current_value[0] == $camera_type[0])
      print "<td align=\"left\" bgcolor=\"$color[table_body]\"><input type=radio name=\"camera_type_id\" value=\"$camera_type[0]\" checked></td>";
    else
      print "<td align=\"left\" bgcolor=\"$color[table_body]\"><input type=radio name=\"camera_type_id\" value=\"$camera_type[0]\"></td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$camera_type[12]\">$camera_type[1]</a></td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$camera_type[2]</td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$camera_type[3]</td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
    print $icc_profiles[$camera_type[5]]['name'];
    print "</td>";
    print "</tr>";
  }
}
else
print "<tr><td colspan=\"6\" align=\"left\" bgcolor=\"$color[table_body]\" >No camera types found.</td></tr>";

print "</table>\n";

print "&nbsp;<br/>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"6\"><font class=\"tabletop\">Edit Camera Type</font></td>";
print "</td>";
print "</tr>";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"4%\"></td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"29%\">Manufacturer</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"25%\">Model</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">Variation</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">ICC Profile</td>\n";
print "</tr>";

print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
print "<input type=\"radio\" name=\"camera_type_id\" value=\"custom\">";
print "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
print "<select name=camera_manufacturer_id>";
$num_of_manufacturers = pg_num_rows($all_manufacturers);
for ($i=0; $i < $num_of_manufacturers; $i++) {
  $manufacturer = pg_fetch_row($all_manufacturers, $i);
  if ($camera_current_value[0]==$manufacturer[1])
    print "<option value=\"$manufacturer[0]\" selected>$manufacturer[1]";
  else
    print "<option value=\"$manufacturer[0]\">$manufacturer[1]";
}
print "</select>";

print "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\"  >";
print "<input type=\"text\" name=\"camera_model\" value=\"$camera_current_value[1]\">";
print "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\"  >";
print "<input type=\"text\" name=\"camera_variation\" value=\"$camera_current_value[2]\">";
print "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
display_icc_profiles_combo("camera_icc_profile", $camera_current_value[8]);
print "</td>\n";
print "</tr>";
print "</table>\n";

print "&nbsp;<br/>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr><td align=\"left\" bgcolor=$color[table_top] colspan=\"6\"><font class=\"tabletop\">Camera Specific Data</font></td></tr>";

print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Serial Number</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Purchase Date</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Purchased New</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Access</td>";
print "</tr>";

print "<tr>";
print "<td bgcolor=\"$color[table_body]\" >";
print "<input type=\"text\" name=\"camera_serial_number\" value=\"$camera_current_value[3]\"></td>";
$date_of_purchase= substr($camera_current_value[4], 0, 10);
print "<td bgcolor=\"$color[table_body]\" >\n";
display_date_input_form("camera_purchase_timestamp", "$date_of_purchase");
print "</td>\n";
print "<td bgcolor=\"$color[table_body]\" >";
display_yes_no_combo("camera_purchased_new", $camera_current_value[5]);
print "</td>\n";
print "<td bgcolor=\"$color[table_body]\" >";
display_access_combo("camera_access_rights", $camera_current_value[7], "");
print "</td>\n";
print "</tr>";
print "</table>";

print "&nbsp;<br/>";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" border=\"0\" value=\"Save Changes\">\n";
print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data['camera']['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=Cancel></a>\n";
print "</form>";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
