<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

$return_path = $_REQUEST['return'];

$database   = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier from users where session_id='$session_id'"));
if ($my_user_id[0] == "") {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$folder_name = pg_escape_string($_REQUEST['folder_caption']);
$folder_description = pg_escape_string($_REQUEST['folder_description']);
$folder_access_rights = $_REQUEST['folder_access_rights'];
$folder_parent = $_REQUEST['parent'];

if (!$folder_parent) {
  $folder_parent = "null";
}

global $default_order_by;

if (($folder_name != "") &&
    ($folder_name != "Trash") &&
    ($folder_name != "Orphanage")) {
  $result = pg_query($database, "insert into folder (identifier, parent_folder, users, caption, description, date_of_creation, access_rights, orderby)
                                 values (nextval('folder_id_sequence'), $folder_parent,
'$my_user_id[0]', '$folder_name', '$folder_description', now(), $folder_access_rights, $default_order_by)");
  if (!$result) {
    print "Failed to create new folder: $folder_name";
  }
}

site_epilog($database);
if ($folder_parent == "null") {
  header("location: my.folder.php");
}
else {
  header("location: folder.php?folder=$folder_parent");
}
?>
