<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/common.php";
include_once "include/site.php";
include_once "include/site.php";
include_once "$theme/theme.php";

function display_help_navigator($num_of_pages, $index, $helpfiles, $theme) {
  $previous_index = $index - 1;
  $next_index = $index + 1;
  if ($previous_index < 0)
    $previous_index = 0;
  if ($next_index >= $num_of_pages)
    $next_index = $num_of_pages - 1;

  $first_page_index = 0;
  $first_page_title = $helpfiles[0][0];
  $previous_page_index = $previous_index;
  $previous_page_title = $helpfiles[$previous_index][0];
  $next_page_index = $next_index;
  $next_page_title = $helpfiles[$next_index][0];
  $last_page_index = $num_of_pages - 1;
  $last_page_title = $helpfiles[$num_of_pages - 1][0];
  print "<table align=\"center\" valign=\"middle\" border=\"0\" cellspacing=0 cellpadding=0>\n";
  print "<tr>\n";
  print "<td align=\"center\" valign=\"top\">\n";
  print "<a class=\"nodecor\" href=\"help.php?help=$first_page_index\">";
  print "<img src=\"$theme/button.first.gif\" border=\"0\" title=\"$first_page_title\" alt=\"$first_page_title\"></a>";
  print "</td>\n";
  print "<td align=\"center\" valign=\"top\">\n";
  print "<a class=\"nodecor\" href=\"help.php?help=$previous_page_index\">";
  print "<img src=\"$theme/button.previous.gif\" border=\"0\" title=\"$previous_page_title\" alt=\"$previous_page_title\"></a>\n";
  print "</td>\n";
  print "<td>&nbsp;</td>\n";
  print "<td align=\"center\" valign=\"middle\">\n";
  print "<table align=\"center\" valign=\"middle\" border=\"0\" cellspacing=0 cellpadding=0>\n";
  print "<tr>\n";
  $button_counter=0;
  for ($i=0; $i < $num_of_pages; $i++) {
    $current_page_title = $helpfiles[$i][0];

    print "<td align=\"center\" valign=\"middle\">\n";
    print "<a class=\"nodecor\" href=\"help.php?help=$i\">";
    if ($index == $i)
      print "<img src=\"$theme/button.option.a.gif\" border=\"0\" alt=\"*\" title=\"$current_page_title\"></a>\n";
    else
      print "<img src=\"$theme/button.option.gif\" border=\"0\" alt=\"o\" title=\"$current_page_title\"></a>\n";
    print "</td>\n";
    $button_counter++;
    if ($button_counter == 25) {
      $button_counter=0;
      print "</tr>\n<tr>\n";
    }
  }
  print "</tr>\n";
  print "</table>\n";
  print "</td>\n";
  print "<td>&nbsp;</td>\n";
  print "<td align=\"center\" valign=\"top\">\n";
  print "<a class=\"nodecor\" href=\"help.php?help=$next_page_index\">";
  print "<img src=\"$theme/button.next.gif\" border=\"0\" title=\"$next_page_title\" alt=\"$next_page_title\"></a>\n";
  print "</td>\n";
  print "<td align=\"center\" valign=\"top\">\n";
  print "<a class=\"nodecor\" href=\"help.php?help=$last_page_index\">";
  print "<img src=\"$theme/button.last.gif\" border=\"0\" title=\"$last_page_title\" alt=\"$last_page_title\"></a>\n";
  print "</td>\n";
  print "</tr>\n";
  print "</table>\n";
}

$database = site_prolog();
$session_id = $_COOKIE[$po_cookie];
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));

$help_id = $_REQUEST['help'];
if ($help_id == "") {
  $help_id = 0;
}

$helpfiles = array (array("Content",            "content.html"),
                    array("Registration",       "registration.html"),
                    array("Login",              "login.html"),
                    array("Folders and Albums", "folders.albums.html"),
                    array("Date Book",          "datebook.html"),
                    array("Profile",            "profile.html"),
                    array("Photo Management",   "photo.html"),
                    array("Print",              "print.html"),
                    array("Search",             "search.html"),
                    array("Settings",           "settings.html"),
                    array("Shop",               "shop.html"),
                    array("Tools",              "tools.html"),
                    array("Front Page",         "front.page.html"),
                    array("Administrator",      "admin.html"));

site_header($page_width, "Help");
site_navigator(4, $my_user_id[1]);
$little_hack = $helpfiles[$help_id][0];
site_navigator_status("<a href=\"help.php\">Help</a> : $little_hack", "");
print "&nbsp;<br/>\n";
display_help_navigator(14, $help_id, $helpfiles, $theme);
print "&nbsp;<br/>\n";
print "<table width=\"100%\">";
print "<tr><td >";
print "&nbsp;<br/>\n";
$little_hack = $helpfiles[$help_id][1];
readfile("help/$little_hack");
print "</td></tr>";
print "</table>";
print "&nbsp;<br/>\n";
display_help_navigator(14, $help_id, $helpfiles, $theme);
print "&nbsp;<br/>\n";
site_footer($database);
site_epilog($database);

?>
