<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier from users where session_id='$session_id'"));
if ($my_user_id[0] == "") {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$label_name   = pg_escape_string($_REQUEST['label_name']);
$manufacturer = $_REQUEST['manufacturer'];
$paper        = $_REQUEST['paper'];
$left_margin  = $_REQUEST['left_margin'];
$top_margin   = $_REQUEST['top_margin'];
$x_space      = $_REQUEST['x_space'];
$y_space      = $_REQUEST['y_space'];
$x_size       = $_REQUEST['x_size'];
$y_size       = $_REQUEST['y_size'];
$columns      = $_REQUEST['columns'];
$rows         = $_REQUEST['rows'];


if ($manufacturer == "" || $label_name == "" || $paper == "" || $left_margin == "" ||
    $top_margin == "" || $x_space == "" || $y_space == "" || $x_size == "" ||
    $y_size == "" || $columns == "" || $rows == "") {

  header("location: label.add.php?manufacturer=$manufacturer&label_name=$label_name&paper=$paper&left_margin=$left_margin&top_margin=$top_margin&x_space=$x_space&y_space=$y_space&x_size=$x_size&y_size=$y_size&columns=$columns&rows=$rows");
  exit();
}

pg_query($database, "
  insert into label (identifier, users, manufacturer, name,
                     space_x, space_y, size_x, size_y, offset_x, offset_y, columns, rows,
                     paper, date_of_creation, last_modified_date)
  values (nextval('label_id_sequence'), $my_user_id[0], $manufacturer, '$label_name',
          $x_space, $y_space, $x_size, $y_size, $left_margin, $top_margin, $columns, $rows,
          $paper, now(), now())");

site_epilog($database);
header("location: my.profile.php?selector=".$profile_data['label']['idx']);
?>
