<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/datebook.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

$selector = $_REQUEST['selector'];
if (!$selector) {
  $selector = 1;
}

include_once "include/common.php";
include_once "include/site.php";
include_once "include/contacts.php";
include_once "include/site.php";

$database = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['client']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$user_pref = pg_fetch_row(pg_query($database, "select start_day, start_hour, end_hour, shop_enable from  users, preferences where preferences.identifier=users.preferences and users.identifier=$my_user_id[0]"));
$calendar_view  = $_REQUEST['view'];
$calendar_year  = (int)$_REQUEST['year'];
$calendar_month = (int)$_REQUEST['month'];
if ($calendar_month < 1 || $calendar_month > 12) {
  $calendar_month = 1;
}
$calendar_day   = (int)$_REQUEST['day'];
$day_in_month = getDaysInMonth($calendar_year, $calendar_month);
if ($calendar_day < 1 || $calendar_day > $day_in_month) {
  $calendar_day = 1;
}
$calendar_week  = getWeekNumber($calendar_year, $calendar_month, $calendar_day, $user_pref[0]);

site_header($page_width, "Display Datebook");
site_navigator(8, $my_user_id[1]);
site_navigator_status("<a href=\"user.php\">Users</a> : My Date Book", "");
print "&nbsp;<br/>";

switch ($calendar_view) {
 default: $calendar_view = 3;
 case 3:  $calendar_view_string = "Month View"; break;
 case 1:  $calendar_view_string = "Day View"; break;
 case 2:  $calendar_view_string = "Week View"; break;
 case 4:  $calendar_view_string = "Go To"; break;
}

switch ($calendar_view) {
 default:
 case 1:
   if ($calendar_day=="" || $calendar_month=="" || $calendar_year=="") {
     $today = getdate(time());
     $calendar_year  = $today["year"];
     $calendar_month = $today["mon"];
     $calendar_day   = $today["mday"];
   }

   print "<table border=\"0\" cellspacing=\"1\" align=\"center\">\n";
   print "<tr>\n";
   print "<td align=\"center\" valign=\"middle\">\n";
   $yesterday = adjustDay($calendar_year, $calendar_month, $calendar_day - 1);
   print "<a class=\"nodecor\" href=\"my.datebook.php?view=1&year=$yesterday[0]&month=$yesterday[1]&day=$yesterday[2]\">";
   print "<img src=\"$theme/button.previous.gif\" border=\"0\" alt=\"Previous Day\"></a>";
   print "</td>\n";
   print "<td align=\"center\" valign=\"middle\">\n";
   $timestamp = mktime(12, 0, 0, $calendar_month, $calendar_day, $calendar_year);
   $date = getdate($timestamp);
   $dayNameIndex = $date["wday"];
   print "<b>&nbsp;&nbsp;$dayNames[$dayNameIndex], $monthNames[$calendar_month] $calendar_day, $calendar_year&nbsp;&nbsp;</b>";
   print "</td>\n";
   print "<td align=\"center\" valign=\"middle\">\n";
   $tomorrow = adjustDay($calendar_year, $calendar_month, $calendar_day + 1);
   print "<a class=\"nodecor\" href=\"my.datebook.php?view=1&year=$tomorrow[0]&month=$tomorrow[1]&day=$tomorrow[2]\">";
   print "<img src=\"$theme/button.next.gif\" border=\"0\" alt=\"Next Day\"></a>";
   print "</td>\n";
   print "</tr>\n";
   print "</table>\n";
   print "&nbsp;<br/>";

   displayDayHTML($database, $my_user_id[0], $calendar_year, $calendar_month, $calendar_day, $user_pref[1], $user_pref[2], $dayNames, $user_pref[0], $calendar_view);
   break;
 case 2:
   if ($calendar_week=="" || $calendar_year=="") {
     $today = getdate(time());
     $calendar_year  = $today["year"];
     $calendar_week  = getWeekNumber($calendar_year, $today["mon"], $today["mday"], $user_pref[0]);
   }

   $firstDayOfWeek = getFirstDayOfWeek($calendar_year, $calendar_week, $user_pref[0]);
   $lastDayOfWeek = adjustDay($firstDayOfWeek[0], $firstDayOfWeek[1], $firstDayOfWeek[2]+7);

   $month1 = $firstDayOfWeek[1];
   $month2 = $lastDayOfWeek[1];

   print "<center>\n";
   print "<table border=\"0\" cellspacing=\"1\" >\n";
   print "<tr>\n";
   print "<td align=\"center\" valign=\"middle\">\n";
   $prev_week = adjustDay($calendar_year, $calendar_month, $calendar_day - 7);
   print "<a class=\"nodecor\" href=\"my.datebook.php?view=2&year=$prev_week[0]&month=$prev_week[1]&day=$prev_week[2]\">";
   print "<img src=\"$theme/button.previous.gif\" border=\"0\" alt=\"Previous Week\"></a>";
   print "</td>\n";
   print "<td align=\"center\" valign=\"middle\">\n";
   if ($firstDayOfWeek[0] != $lastDayOfWeek[0])
     print "<b>&nbsp;&nbsp;Week $calendar_week, $monthNames[$month1] $firstDayOfWeek[0] - $monthNames[$month2] $lastDayOfWeek[0]&nbsp;&nbsp;</b>";
   else {
     if ($firstDayOfWeek[1] != $lastDayOfWeek[1])
       print "<b>&nbsp;&nbsp;Week $calendar_week, $monthNames[$month1] - $monthNames[$month2] $lastDayOfWeek[0]&nbsp;&nbsp;</b>";
     else
       print "<b>&nbsp;&nbsp;Week $calendar_week, $monthNames[$month2] $lastDayOfWeek[0]&nbsp;&nbsp;</b>";
   }
   print "</td>\n";
   print "<td align=\"center\" valign=\"middle\">\n";
   $next_week = adjustDay($calendar_year, $calendar_month, $calendar_day + 7);
   print "<a class=\"nodecor\" href=\"my.datebook.php?view=2&year=$next_week[0]&month=$next_week[1]&day=$next_week[2]\">";
   print "<img src=\"$theme/button.next.gif\" border=\"0\" alt=\"Next Week\"></a>";
   print "</td>\n";
   print "</tr>\n";
   print "</table>\n";
   print "</center><p>\n";

   print "&nbsp;<br/>";
   displayWeekHTML($database, $my_user_id[0], $calendar_year, $calendar_week, $dayNames, $user_pref[0], $calendar_view);
   break;
 case 3:
   if ($calendar_month=="" || $calendar_year=="") {
     $today = getdate(time());
     $calendar_year  = $today["year"];
     $calendar_month = $today["mon"];
   }

   print "<center>\n";
   print "<table border=\"0\" cellspacing=\"1\" >\n";
   print "<tr>\n";
   print "<td align=\"center\" valign=\"middle\">\n";
   $next_month = adjustMonth($calendar_year, $calendar_month - 1);
   print "<a class=\"nodecor\" href=\"my.datebook.php?view=3&year=$next_month[0]&month=$next_month[1]\">";
   print "<img src=\"$theme/button.previous.gif\" border=\"0\" alt=\"Previous Month\"></a>";
   print "</td>\n";
   print "<td align=\"center\" valign=\"middle\">\n";
   print "<b>&nbsp;&nbsp;$monthNames[$calendar_month], $calendar_year&nbsp;&nbsp;</b>";
   print "</td>\n";
   print "<td align=\"center\" valign=\"middle\">\n";
   $previous_month = adjustMonth($calendar_year, $calendar_month + 1);
   print "<a class=\"nodecor\" href=\"my.datebook.php?view=3&year=$previous_month[0]&month=$previous_month[1]\">";
   print "<img src=\"$theme/button.next.gif\" border=\"0\" alt=\"Next Month\"></a>";
   print "</td>\n";
   print "</tr>\n";
   print "</table>\n";
   print "</center><p>\n";

   print "&nbsp;<br/>";
   displayMonthHTML($database, $my_user_id[0], $calendar_year, $calendar_month, $dayNames, $user_pref[0], $calendar_view);
   break;
 case 4:
   print "<center>\n";
   print "<table border=\"0\" cellspacing=\"1\" >\n";
   print "<tr>\n";
   print "<td align=\"center\" valign=\"middle\">\n";
   $next_year = $calendar_year - 1;
   print "<a class=\"nodecor\" href=\"my.datebook.php?view=4&year=$next_year&month=$calendar_month\">";
   print "<img src=\"$theme/button.previous.gif\" border=\"0\" alt=\"Previous Year\"></a>";
   print "</td>\n";
   print "<td align=\"center\" valign=\"middle\">\n";
   print "<b>&nbsp;&nbsp;&nbsp;$calendar_year&nbsp;&nbsp;&nbsp;</b>";
   print "</td>\n";
   print "<td align=\"center\" valign=\"middle\">\n";
   $previous_year = $calendar_year + 1;
   print "<a class=\"nodecor\" href=\"my.datebook.php?view=4&year=$previous_year&month=$calendar_month\">";
   print "<img src=\"$theme/button.next.gif\" border=\"0\" alt=\"Next Year\"></a>";
   print "</td>\n";
   print "</tr>\n";
   print "</table><p>\n";

   print "<table bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"4\">\n";
   print "<tr>\n";
   for ($month_index=1; $month_index < 13; $month_index++) {
     if ($month_index == $calendar_month)
       $bgcolor = $color[highlight];
     else
       $bgcolor = $color[table_body];
     print "<td td align=\"center\" valign=\"middle\" bgcolor=\"$bgcolor\" >\n";
     print "&nbsp;&nbsp;<a href=\"my.datebook.php?view=4&year=$calendar_year&month=$month_index\">$monthNames[$month_index]</a>&nbsp;&nbsp;";
     print "</td>\n";
     if ($month_index==6)
       print "</tr><tr>\n";
   }
   print "</tr>\n";
   print "</table><p>\n";

   print "<table bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"4\">\n";
   print "<tr>\n";
   print "<td align=\"center\" valign=\"middle\" bgcolor=\"$color[table_header]\" >Week</td>\n";
   for ($dayIncrement = 0; $dayIncrement < 7; $dayIncrement++)
     print "<td align=\"center\" valign=\"middle\" bgcolor=\"$color[table_header]\"  width=\"80\"><b>" . $dayNames[($user_pref[0] + $dayIncrement) % 7] . "</b></td>\n";
   print "</tr>\n";
   // get timestamp of first day of month at noon
   $timestamp = mktime(12, 0, 0, $calendar_month, 1, $calendar_year);
   // get first day index 0 Sunday
   $date = getdate($timestamp);
   $day = $user_pref[0] + 1 - $date["wday"];

   if ($day > 1)
     $day -= 7;

   $today = getdate(time());
   $daysInMonth = getDaysInMonth($calendar_year, $calendar_month);

   while ($day <= $daysInMonth) {
     print "<tr>\n";
     $curDate = adjustDay($calendar_year, $calendar_month, $day);
     $weekNumber=getWeekNumber($curDate[0], $curDate[1], $curDate[2], $user_pref[0]);
     print "<td align=\"center\" valign=\"middle\" bgcolor=\"$color[table_body]\" >";
     print "<a href=\"my.datebook.php?view=2&year=$calendar_year&month=$curDate[1]&day=$curDate[2]\">$weekNumber</a></td>\n";
     for ($i = 0; $i < 7; $i++) {
       $curDate = adjustDay($calendar_year, $calendar_month, $day);
       $bgcolor = $color[highlight];
       if ($curDate[2]!=$day)
         $bgcolor = $color[table_body];
       if ($calendar_year == $today["year"] && $calendar_month == $today["mon"] && $day == $today["mday"])
         $bgcolor = $color[selected];
       print "<td align=\"center\" valign=\"middle\" bgcolor=\"$bgcolor\" ><a href=\"my.datebook.php?view=1&year=$curDate[0]&month=$curDate[1]&day=$curDate[2]\">$curDate[2]</a></td>\n";
       $day++;
     }
     print "</tr>\n";
   }
   print "</table><p>\n";

   $today = getdate(time());
   $year  = $today["year"];
   $month = $today["mon"];
   $day   = $today["mday"];
   $week  = getWeekNumber($year, $month, $day, $user_pref[0]);

   print "<a class=\"nodecor\" href=\"my.datebook.php?view=1&year=$year&month=$month&day=$day\"><img src=\"$theme/button.goto.today.gif\" border=\"0\" alt=\"Today\"></a>\n";
   print "<a class=\"nodecor\" href=\"my.datebook.php?view=2&year=$year&month=$month&day=$day\"><img src=\"$theme/button.goto.this.week.gif\" border=\"0\" alt=\"This Week\"></a>\n";
   print "<a class=\"nodecor\" href=\"my.datebook.php?view=3&year=$year&month=$month&day=$day\"><img src=\"$theme/button.goto.this.month.gif\" border=\"0\" alt=\"This Month\"></a>\n";
   print "</center><p>\n";
   print "<table bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"4\" width=\"100%\">\n";
   print "<tr>\n";
   print "<td align=\"right\" valign=\"top\" bgcolor=\"$color[table_header]\"  colspan=\"8\">&nbsp;</td>\n";
   print "</tr>";
   print "</table>\n";
   break;
}

print "<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"100%\">\n";
print "<tr>\n";
print "<td align=\"left\" valign=\"bottom\" width=\"50%\">\n";

print "<table align=\"left\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\n";
print "<tr align=\"left\" valing=\"top\">\n";
print "<td>\n";
if ($calendar_view == 1) {
  print "<img src=\"$theme/notebook.view.day.a.gif\" border=\"0\" alt=\"Day View\">";
}
else {
  print "<a class=\"nodecor\" href=\"my.datebook.php?view=1&year=$calendar_year&month=$calendar_month&day=$calendar_day\">";
  print "<img src=\"$theme/notebook.view.day.gif\" border=\"0\" alt=\"Day View\"></a>";
}
print "</td>\n";
print "<td>\n";
$week = getWeekNumber($calendar_year, $calendar_month, $calendar_day, $user_pref[0]);
if ($calendar_view == 2) {
  print "<img src=\"$theme/notebook.view.week.a.gif\" border=\"0\" alt=\"Week View\">";
}
else {
  print "<a class=\"nodecor\" href=\"my.datebook.php?view=2&year=$calendar_year&month=$calendar_month&day=$calendar_day\">";
  print "<img src=\"$theme/notebook.view.week.gif\" border=\"0\" alt=\"Week View\"></a>";
}
print "</td>\n";
print "<td>\n";
if ($calendar_view == 3) {
  print "<img src=\"$theme/notebook.view.month.a.gif\" border=\"0\" alt=\"Month View\">";
}
else {
  print "<a class=\"nodecor\" href=\"my.datebook.php?view=3&year=$calendar_year&month=$calendar_month&day=$calendar_day\">";
  print "<img src=\"$theme/notebook.view.month.gif\" border=\"0\" alt=\"Month View\"></a>";
}
print "</td>\n";
print "<td>\n";
if ($calendar_view == 4) {
  print "<img src=\"$theme/notebook.view.goto.a.gif\" border=\"0\" alt=\"Go To\">";
}
else {
  print "<a class=\"nodecor\" href=\"my.datebook.php?view=4&year=$calendar_year&month=$calendar_month&day=$calendar_day\">";
  print "<img src=\"$theme/notebook.view.goto.gif\" border=\"0\" alt=\"Ratings\"></a>";
}
print "</td>\n";
print "</tr>\n";
print "</table>\n";
print "</td>\n";
print "</tr>\n";
print "</table>\n";

print "&nbsp;<br/>";
display_navigator_box_top($selector, $datebook_data, "100%");

print "&nbsp;<br/>";

switch ($selector) {
 case $datebook_data['clients']['idx']:
   if ($my_user_id[1] > $user_type['client']) {
     display_clients($database, $my_user_id[0], $user_type);
     print "&nbsp;<br/>";
   }

   display_protected_photographers($database, $my_user_id[0]);

   /* if shop is disabled return here */
   if ($user_pref[3]=='f') {
     display_navigator_box_bottom("100%");
     site_footer($database);
     site_epilog($database);
     exit();
   }
   break;
 case $datebook_data['orders']['idx']:
   if ($my_user_id[1] > $user_type['client']) {
     displayMerchandiserTransaction($database, $my_user_id, 1);
   }
   displayClientTransaction($database, $my_user_id, 1);
   break;
 case $datebook_data['shipments']['idx']:
   if ($my_user_id[1] > $user_type['client']) {
     displayMerchandiserTransaction($database, $my_user_id, 2);
   }
   displayClientTransaction($database, $my_user_id, 2);
   break;
}

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
