<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";
include_once "include/site.php";

$database = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$submission_id   = $_REQUEST['submission'];
$submission_data = pg_fetch_row(pg_query($database, "select photo_dupe, users, status, date_of_creation, remark
                                                       from submission where identifier=$submission_id"));

/* this will enable administrators to empty anybody's trash */
if ($my_user_id[1] == $user_type['administrator']) {
  $tmp_data = pg_fetch_row(pg_query($database, "select photo.users from photo, photo_dupe where photo.identifier=photo_dupe.photo and photo_dupe.identifier=$submission_data[0]"));
  $user_id = $tmp_data[0];
}
if (!$user_id) {
  $user_id = $my_user_id[0];
}

$photo_data = pg_fetch_row(pg_query($database, "
  select photo.identifier, photo.caption, medium_image_path, large_image_path, hide_original, title
    from photo, photo_dupe, photo_version
   where photo.identifier = photo_version.photo
     and photo.identifier = photo_dupe.photo
     and photo_version.master = 't'
     and photo_dupe.identifier = $submission_data[0]"));
if ($photo_data == "") {
  site_epilog($database);
  header("location: login.php");
  exit();
}
$folder_data = pg_fetch_row(pg_query($database, "select folder.identifier, folder.caption from photo, folder where photo.folder = folder.identifier and photo.identifier='$photo_data[0]'"));
$user_data = pg_fetch_row(pg_query($database, "select identifier, last_name, first_name  from users where identifier=$user_id"));
$client_all = pg_query($database, "select client, last_name, first_name from view_client where users=$user_id and (status=2 or status=4)");
$submission_status_all = pg_query($database, "select identifier, value from submission_status");


site_header($page_width, "Edit Photo Submission");
if ($my_user_id[0] == $user_id) {
  site_navigator(5, $my_user_id[1]);
  $user_display_string = "My Folders and Albums";
}
else {
  site_navigator(1, $my_user_id[1]);
  $user_display_string = sprintf("%s, %s", $user_data[1], $user_data[2]);
}
$path_to_folder = get_path_to_folder($database, $folder_data[0]);
$title = get_photo_title($photo_data[1], $photo_data[5]);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"user.php?user=$user_data[0]\">$user_display_string</a>$path_to_folder : <a href=\"folder.php?folder=$folder_data[0]\">$folder_data[1]</a> : <a href=\"photo.php?photo=$photo_data[0]\">$title</a> : Submit this photo", "");

print "&nbsp;<br/>\n";
print "<center>\n";
display_shaded_photo("image.display.php?image=$photo_data[0]&size=2&ver=$version", "", $image_repository_path . "/" . $photo_data[2]);
print "</center>\n";
print "&nbsp;<br/>\n";

print "<form method=\"post\" action=\"photo.submission.edit.2.php\">\n";
print "<input type=\"hidden\" name=\"submission\" value=\"$submission_id\">\n";
print "<input type=\"hidden\" name=\"photo\" value=\"$photo_data[0]\">\n";
print "<table bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"22%\">Submission date</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"18%\">Status</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"30%\">Client</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"30%\">Remark</td>";
print "</tr>";

print "<tr>";
print "<td bgcolor=\"$color[table_body]\" >\n";
display_date_input_form("submission_timestamp", substr($submission_data[3], 0, 10));
print "</td>\n";
print "<td bgcolor=\"$color[table_body]\" ><select name=\"submission_status\">";
for ($i = 0; $i < pg_num_rows($submission_status_all); $i++) {
  $submission_status = pg_fetch_row($submission_status_all, $i);
  if ($submission_status[0] == $submission_data[2])
    print "<option value=\"$submission_status[0]\" selected>$submission_status[1]";
  else
    print "<option value=\"$submission_status[0]\">$submission_status[1]";
}
print "</select></td>\n";
print "<td bgcolor=\"$color[table_body]\" ><select name=\"client\">";
print "<option value=\"null\">None";
for ($i = 0; $i < pg_num_rows($client_all); $i++) {
  $client = pg_fetch_row($client_all, $i);
  if ($client[2] != "" && $client[1] != "")
    $client[2] = $client[2] . ",";
  if ($client[0] == $submission_data[1])
    print "<option value=\"$client[0]\" selected>$client[2] $client[1]";
  else
    print "<option value=\"$client[0]\">$client[2] $client[1]";
}
print "</select></td>\n";
print "<td bgcolor=\"$color[table_body]\" ><input type=\"text\" name=\"remark\" value=\"$submission_data[4]\" size=\"30%\"></td>\n";
print "</tr>";

print "</table>\n";
print "&nbsp;<br/>\n";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" border=\"0\" value=\"Save Changes\">\n";
print "<a class=\"nodecor\" href=\"photo.php?photo=$photo_data[0]&detail_info=4\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>\n";
print "</form>\n";

print "&nbsp;<br/>\n";

site_footer($database);
site_epilog($database);
?>
