<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$manufacturer_filter = $_REQUEST['filter'];
$scanner_id          = $_REQUEST['item'];

$scanner_current_value = pg_fetch_row(pg_query($database, "select name, model, variation, serial_number,
                                                                  date_of_purchase, purchased_new, access_rights
                                                             from view_scanner where identifier='$scanner_id'"));
$scanner_type_current_value = pg_fetch_row(pg_query($database, "select type from scanner where identifier='$scanner_id'"));
$manufacturer = pg_query($database, "select identifier, name from manufacturer order by name");
$user_name = pg_fetch_row(pg_query($database, "select first_name, last_name from users where identifier=$my_user_id[0]"));

switch ($manufacturer_filter) {
 case "All":
 case "":
   $scanner_type = pg_query($database, "select identifier, name, model, variation, url from view_scanner_type");
   break;
 default:
   $scanner_type = pg_query($database, "select identifier, name, model, variation, url from view_scanner_type where name=\"$manufacturer_filter\" or identifier=\"$scanner_type_current_value[0]\"");
}

site_header($page_width, "Edit Scanner");
site_navigator(6, $my_user_id[1]);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : Edit scanner", "");

print "&nbsp;<br/>";
display_navigator_box_top($profile_data['scanner']['idx'], $profile_data, "100%");

print "&nbsp;<br/>";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"4\">\n";
print "<table width=\"100%\">\n<tr>\n";
print "<td align=\"left\"><font class=\"tabletop\">Scanner Types</font></td>\n";
print "<td align=\"right\">\n";
print "<form>\n";
print "<select onchange=\"location = this.options[this.selectedIndex].value;\">\n";
print "<option value=\"scanner.edit.php\">All";
for ($i=0; $i < pg_num_rows($manufacturer); $i++) {
  $r = pg_fetch_row($manufacturer, $i);
  if ($r[1]==$manufacturer_filter)
    print "<option value=\"scanner.add.php?filter=$r[1]\" selected>$r[1]";
  else
    print "<option value=\"scanner.add.php?filter=$r[1]\">$r[1]";
}
print "</select>";
print "</form>\n";
print "</td></tr>\n</table>\n";
print "</td>";
print "</tr>";

print "<form method=post action=scanner.edit.2.php?item_id=$scanner_id>";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"4%\"></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"50%\">Manufacturer</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"25%\">Model</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">Variation</td>\n";
print "</tr>\n";

$num = pg_num_rows($scanner_type);
if ($num > 0) {
  for ($i=0; $i < $num; $i++) {
    $r = pg_fetch_row($scanner_type, $i);
    print "<tr>";
    if ($scanner_type_current_value[0] == $r[0])
      print "<td align=\"left\" bgcolor=\"$color[table_body]\"><input type=\"radio\" name=\"scanner_type_id\" value=\"$r[0]\" checked></td>";
    else
      print "<td align=\"left\" bgcolor=\"$color[table_body]\"><input type=\"radio\" name=\"scanner_type_id\" value=\"$r[0]\"></td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$r[4]\">$r[1]</a></td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$r[2]</td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$r[3]</td>";
    print "</tr>";
  }
}
else
print "<tr><td colspan=\"6\" align=\"left\" bgcolor=\"$color[table_body]\" >No scanner types found.</td></tr>";

print "</table>\n";

print "&nbsp;<br/>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"6\"><font class=\"tabletop\">Edit Scanner Type</font></td>";
print "</td>";
print "</tr>";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"4%\"></td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"50%\">Manufacturer</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"25%\">Model</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">Variation</td>";
print "</tr>";

print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
print "<input type=\"radio\" name=\"scanner_type_id\" value=\"custom\">";
print "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
$num = pg_num_rows($manufacturer);
print "<select name=\"scanner_manufacturer_id\">";
for ($i=0; $i < $num; $i++) {
  $r = pg_fetch_row($manufacturer, $i);
  if ($scanner_current_value[0]==$r[1])
    print "<option value=\"$r[0]\" selected>$r[1]";
  else
    print "<option value=\"$r[0]\">$r[1]";
}
print "</select>";

print "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
print "<input type=\"text\" name=\"scanner_model\" value=\"$scanner_current_value[1]\">";
print "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\"  >";
print "<input type=\"text\" name=\"scanner_variation\" value=\"$scanner_current_value[2]\">";
print "</td>";
print "</tr>";
print "</table>\n";

print "&nbsp;<br/>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr><td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"6\"><font class=\"tabletop\">Scanner Specific Data</font></td></tr>";

print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Serial Number</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Purchase Date</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Purchased New</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Access</td>";
print "</tr>";

$date_of_purchase= substr($scanner_current_value[4], 0, 10);

print "<tr>";
print "<td bgcolor=\"$color[table_body]\" ><input type=\"text\" name=\"scanner_serial_number\" value=\"$scanner_current_value[3]\"></td>";
print "<td bgcolor=\"$color[table_body]\" >\n";
display_date_input_form("scanner_timestamp", "$date_of_purchase");
print "</td>\n";
print "<td bgcolor=\"$color[table_body]\" >"; display_yes_no_combo("scanner_purchased_new", $scanner_current_value[5]); print "</td>\n";
print "<td bgcolor=\"$color[table_body]\" >"; display_access_combo("scanner_access_rights", $scanner_current_value[6], ""); print "</td>\n";
print "</tr>";
print "</table>";

print "&nbsp;<br/>";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" border=\"0\" value=\"Save Changes\">\n";
print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data['scanner']['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>\n";
print "</form>";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
